# $Revision: 1.20 $, $Date: 2004/01/07 20:46:17 $
Summary:	X11 Mandelbrot set generator and explorer
Summary(de):	X11 Mandelbrot-Setgenerator und Explorer
Summary(es):	Explorador y creador de conjuntos de Mandelbrot para X11
Summary(fr):	Gnrateur et explorateur X11 d'ensembles de Mandelbrot
Summary(pl):	Generator i przegldarka zbioru Mandelbrota
Summary(pt_BR):	Explorador e gerador de conjuntos de Mandelbrot para X11
Summary(tr):	Mandelbrot kmesi retici ve tarayc
Name:		mxp
Version:	1.3
Release:	1
License:	MIT
Group:		X11/Applications/Graphics
Source0:	ftp://sunsite.unc.edu/pub/Linux/apps/math/fractals/%{name}-%{version}.tar.gz
# Source0-md5:	c53f8b91fcbb09c4ad885bb7c34d2dd0
Patch0:		%{name}-imake.patch
Patch1:		%{name}-glibc.patch
BuildRequires:	XFree86-devel
BuildRequires:	Xaw3d-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very fast Mandelbrot set generator for X Window System. It
lets you select regions to zoom in on and allows you to control other
aspects of fractal generation.

%description -l de
Dies ist ein sehr schneller Mandelbrot-Mengengenerator fr X-Window.
Sie Zoom-Bereiche auswhlen und andere Parameter der Fraktalerzeugung
einstellen.

%description -l es
Este es un rpido conjunto creador Mandelbrot para X Window. Deja que
selecciones regiones para zoom y te permite controlar otros aspectos
de generacin fractal.

%description -l pl
To jest bardzo szybki generator zbioru Mandelbrota pod X Window
System. Pozwala na zaznaczenie obszarw do powikszenia i kontrol
innych aspektw generowania fraktala.

%description -l pt_BR
Este  um rpido conjunto gerador Mandelbrot para X Window. Ele deixa
voc selecionar regies para zoom e permite voc controlar outros
aspectos de gerao fractal.

%description -l tr
X Window ortamnda alan, gl bir Mandelbrot kmesi reticisidir.
Bytmek iin blge seilebilmesine ve fraktal oluturmann
zelliklerinin denetlenmesine olanak salar.

%prep
%setup -q -n mxp
%patch0 -p1
%patch1 -p1

%build
xmkmf
%{__make} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/mxp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mxp.spec,v $
Revision 1.20  2004/01/07 20:46:17  qboosh
- updated to 1.3, updated imake patch, fixed build to /usr

Revision 1.19  2003/05/28 12:59:49  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:50:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.16  2002/11/27 22:06:23  juandon
- new %%doc

Revision 1.15  2002/02/23 03:54:22  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/17 18:14:50  kloczek
- merge translations from CNV.

Revision 1.11  2001/09/16 20:42:32  qboosh
- updated to 1.2 (release 3), updated imake patch
- fixed Source URL

Revision 1.10  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/06/07 03:47:22  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.5  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.4  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated the source url

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
